EC_DICT_LEN(3)

NAME
ec_dict_len - Get the length of a hash table.

SYNOPSIS
#include <ecoli/dict.h>

size_t ec_dict_len(
    const struct ec_dict   *dict   /* The hash table. */
);

RETURN VALUE

The length of the hash table.

SEE ALSO

ec_dict_iter(3), ec_dict_has_key(3), ec_dict_free(3), ec_dict_iter_get_val(3), ec_dict_dup(3), ec_dict_del(3), ec_dict(3), ec_dict_set(3), ec_dict_get(3), ec_dict_dump(3), ec_dict_iter_next(3), ec_dict_iter_get_key(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.